org.apache.olingo.odata2.client.core.ep.deserializer

## Class JsonPropertyDeserializer

- java.lang.Object
- - org.apache.olingo.odata2.client.core.ep.deserializer.JsonPropertyDeserializer

-     public class JsonPropertyDeserializer
      extends Object

  JSON property consumer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonPropertyDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `readAndCheckTypeInfo(com.google.gson.stream.JsonReader reader, String expectedTypeName)`
    `List<?>` | `readCollection(com.google.gson.stream.JsonReader reader, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, DeserializerProperties readProperties)` This method reads through a collection of entities and deserializes each entry
    `Map<String,Object>` | `readPropertyStandalone(com.google.gson.stream.JsonReader reader, EdmProperty edmProperty, DeserializerProperties readProperties)` Deserializes Property
    `Map<String,Object>` | `readPropertyStandalone(com.google.gson.stream.JsonReader reader, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo, DeserializerProperties readProperties)` Deserializes Property
    `protected Object` | `readPropertyValue(com.google.gson.stream.JsonReader reader, org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo entityPropertyInfo, Object typeMapping, DeserializerProperties readProperties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonPropertyDeserializer

          public JsonPropertyDeserializer()

  - ### Method Detail

    - #### readPropertyStandalone

          public Map<String,Object> readPropertyStandalone(com.google.gson.stream.JsonReader reader,
                                                           EdmProperty edmProperty,
                                                           DeserializerProperties readProperties)
                                                    throws EntityProviderException

      Deserializes Property
      Parameters:
        `reader` -
        `edmProperty` -
        `readProperties` -
      Returns:
        Map
      Throws:
        `EntityProviderException`

    - #### readPropertyStandalone

          public Map<String,Object> readPropertyStandalone(com.google.gson.stream.JsonReader reader,
                                                           org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                                                           DeserializerProperties readProperties)
                                                    throws EntityProviderException

      Deserializes Property
      Parameters:
        `reader` -
        `propertyInfo` -
        `readProperties` -
      Returns:
        Map
      Throws:
        `EntityProviderException`

    - #### readCollection

          public List<?> readCollection(com.google.gson.stream.JsonReader reader,
                                        org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo propertyInfo,
                                        DeserializerProperties readProperties)
                                 throws EntityProviderException

      This method reads through a collection of entities and deserializes each entry
      Parameters:
        `reader` -
        `propertyInfo` -
        `readProperties` -
      Returns:
        List
      Throws:
        `EntityProviderException`

    - #### readPropertyValue

          protected Object readPropertyValue(com.google.gson.stream.JsonReader reader,
                                             org.apache.olingo.odata2.core.ep.aggregator.EntityPropertyInfo entityPropertyInfo,
                                             Object typeMapping,
                                             DeserializerProperties readProperties)
                                      throws EntityProviderException

      Throws:
        `EntityProviderException`

    - #### readAndCheckTypeInfo

          protected void readAndCheckTypeInfo(com.google.gson.stream.JsonReader reader,
                                              String expectedTypeName)
                                       throws IOException,
                                              EntityProviderException

      Throws:
        `IOException`
        `EntityProviderException`

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.